/* 
Theme Name: CodePix Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Een website door CodePix
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-codepix
Version: 1.0.2
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

:root {
    --cpx-header-height: 140px;
}

/* Hide recaptcha */
.grecaptcha-badge {
    visibility: hidden;
}

form .elementor-field-type-recaptcha_v3 {
    height: 0;
    margin-bottom: 0 !important;
}

.elementor-form .elementor-form-fields-wrapper small {
    line-height: 1.3em;
    display: block;
    text-wrap: balance;
}

.elementor-form .elementor-form-fields-wrapper small a {
    color: inherit;
    text-decoration: underline;
}

/* Elementor form messages */
.elementor-form .elementor-message {
    background-color: #f8f8f8;
    border-radius: 0px;
    padding: 15px;
    line-height: 1.5;
    border: 1px solid #bdbdbd;
}

.elementor-form .elementor-message.elementor-message-success {
    border-bottom: 3px solid var(--e-global-color-primary);
}

/* Hide hidden form fields */
.elementor-form .elementor-field-type-hidden {
    margin-bottom: 0 !important;
    height: 0 !important;
}

/* CPX form checkboxes and radio buttons */
.cpx-form .elementor-field-type-checkbox .elementor-field-option,
.cpx-form .elementor-field-type-acceptance .elementor-field-option,
.cpx-form .elementor-field-type-radio .elementor-field-option {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label,
.cpx-form .elementor-field-type-radio .elementor-field-option label {
    padding-left: 1.75em;
    position: relative;
    font-weight: 400;
    font-size: var(--e-global-typography-text-font-size);
    line-height: 1.2;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label:hover,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label:hover,
.cpx-form .elementor-field-type-radio .elementor-field-option label:hover {
    cursor: pointer;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option input[type="checkbox"],
.cpx-form .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"],
.cpx-form .elementor-field-type-radio .elementor-field-option input[type="radio"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label:before,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label:before,
.cpx-form .elementor-field-type-radio .elementor-field-option label:before {
    content: '';
    position: absolute;
    top: 0px;
    left: 0;
    width: 21px;
    height: 21px;
    border-radius: 5px;
    background-color: #fff;
    border: 1px solid #b6b6b6;
    transition: background-color .2s ease-in-out;
    line-height: 0;
}

/* Make the radio buttons round */
.cpx-form .elementor-field-type-radio .elementor-field-option label:before {
    border-radius: 100%;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option label:after,
.cpx-form .elementor-field-type-acceptance .elementor-field-option label:after,
.cpx-form .elementor-field-type-radio .elementor-field-option label:after {
    content: '';
    color: #fff;
    position: absolute;
    top: 2px;
    left: 2px;
    width: 17px;
    height: 17px;
    border-radius: 5px;
    background-color: var(--e-global-color-primary);
    transition: opacity .2s ease-in-out, transform .2s ease-in-out;
    line-height: 0;

    opacity: 0;
    transform: scale(0);
}

/* Make the radio buttons round */
.cpx-form .elementor-field-type-radio .elementor-field-option label:after {
    border-radius: 100%;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option:hover label:after,
.cpx-form .elementor-field-type-acceptance .elementor-field-option:hover label:after,
.cpx-form .elementor-field-type-radio .elementor-field-option:hover label:after {
    opacity: 1;
    transform: scale(0.6);
}

.cpx-form .elementor-field-type-checkbox .elementor-field-option input[type="checkbox"]:checked+label:after,
.cpx-form .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"]:checked+label:after,
.cpx-form .elementor-field-type-radio .elementor-field-option input[type="radio"]:checked+label:after {
    opacity: 1;
    transform: none;
}

.cpx-form .elementor-field-type-radio .elementor-field-subgroup,
.cpx-form .elementor-field-type-checkbox .elementor-field-subgroup,
.cpx-form .elementor-field-type-acceptance .elementor-field-subgroup {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.cpx-form .elementor-field-type-checkbox .elementor-field-label,
.cpx-form .elementor-field-type-acceptance .elementor-field-label,
.cpx-form .elementor-field-type-radio .elementor-field-label {
    margin-bottom: .5rem;
}

.cpx-form .elementor-field-type-checkbox,
.cpx-form .elementor-field-type-acceptance,
.cpx-form .elementor-field-type-radio {
    margin-bottom: 30px !important;
}

/* End CPX form checkboxes */

/* Fix icons not having auto width defined on ipad */
.elementor-widget-icon svg {
    width: auto !important;
}

/* Elementor animation overwrites */
@keyframes cpx_fadeInDown {
    from {
        opacity: 0;
        transform: translate3d(0, -30px, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInDown {
    animation-name: cpx_fadeInDown !important;
}

@keyframes cpx_fadeInLeft {
    from {
        opacity: 0;
        transform: translate3d(-30px, 0, 0);
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInLeft {
    animation-name: cpx_fadeInLeft !important;
}

@keyframes cpx_fadeInRight {
    from {
        opacity: 0;
        transform: translate3d(30px, 0, 0);
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInRight {
    animation-name: cpx_fadeInRight !important
}

@keyframes cpx_fadeInUp {
    from {
        opacity: 0;
        transform: translate3d(0, 30px, 0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.fadeInUp {
    animation-name: cpx_fadeInUp !important;
}

/* Balance out all headings */
h1,
h2,
h3,
h4,
h5,
h6 {
    text-wrap: balance;
}

.text-balance {
    text-wrap: balance;
}

.text-pretty {
    text-wrap: pretty;
}

/* Fix elementor default line height for icons. Icons should not affect button height */
.elementor-widget-button .elementor-button-icon {
    line-height: 0;
    /* Flexbox to keep the icon in the middle if it's not big enough to fill height */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Backgrounds */
.cpx-background {
    height: 100%;
}

.cpx-background img {
    object-fit: cover;
    object-position: center;
}

/* ::selection {
    background: rgba(251, 80, 0, 0.3);
    color: #FFFFFF;
}
  
::-moz-selection {
    background: rgba(251, 80, 0, 0.3);
    color: #FFFFFF;
} */

/* Prevent focussing woo messages with ugly outline */
.woocommerce-message:focus {
    outline: none;
    box-shadow: none;
}

/* Turn elementor grids into centered flex layout using the gap variables from the grid */
.cpx-grid-to-flex .elementor-grid {
    display: flex;
    flex-wrap: wrap;
    row-gap: var(--grid-row-gap, 30px);
    column-gap: var(--grid-column-gap, 30px);
    justify-content: center;
}

/* Based on the variable --grid-columns (this is an int, say: 5) i need the items (.e-loop-item) to have the correct sizes. calculate the gaps so it doesnt overflow */
.cpx-grid-to-flex .elementor-grid .e-loop-item {
    flex: 0 1 calc(calc(100% / var(--grid-columns, 5)) - var(--grid-column-gap, 30px));
}

body.logged-in .hide-logged-in {
    display: none !important;
}

body:not(.logged-in) .hide-logged-out {
    display: none !important;
}

/* cpx mt auto */
.cpx-mt-auto {
    margin-top: auto;
}

/* Fix paragraph spacings */
.elementor-widget-text-editor p:not(:last-child) {
    margin-bottom: 1em;
}

/* Fix all icons */
.elementor-widget-container .elementor-icon-wrapper {
    line-height: 0;
}

body.admin-bar {
    .cpx-header {
        top: 32px !important;
    }
}

@media screen and (max-width: 782px) {
    body.admin-bar {
        .cpx-header {
            top: 46px !important;
        }
    }
}

.cpx-header__menu {
    .sub-arrow {
        color: var(--e-global-color-secondary);
    }
}

/* Button hover animation */
.elementor-button-wrapper {
    line-height: 0;
}

a.elementor-button,
button.elementor-button {
    position: relative;
    overflow: hidden;

    .elementor-button-text,
    .elementor-button-icon {
        transition: color 0.8s cubic-bezier(.19, 1, .22, 1);
    }

    &:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 0;
        height: 100%;
        background-color: var(--e-global-color-secondary);
        transition: all 0.8s cubic-bezier(.19, 1, .22, 1);
        z-index: 1;
    }

    .elementor-button-content-wrapper {
        z-index: 3;
        position: relative;
    }

    &:hover,
    &:focus {

        .elementor-button-text,
        .elementor-button-icon {
            color: var(--e-global-color-8aef2a3);
        }

        &:after {
            width: 100%;
        }
    }

    &:focus {
        &:after {
            background-color: color-mix(in srgb, var(--e-global-color-secondary), #fff 10%);
        }
    }
}

.cpx-subtle-links {
    a {
        text-decoration: underline;
        text-underline-offset: 4px;
        color: inherit;
        transition: color 0.3s ease-in-out;

        &:hover {
            color: var(--e-global-color-secondary);
        }
    }
}

.elementor-form-spinner {
    display: none !important;
}

@media screen and (max-width: 768px) {
    .cpx-center-list-mobile {
        .elementor-icon-list-items {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 10px;
        }
    }
}

header[data-elementor-type="header"] {
    .cpx-header {
        width: 100% !important;
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
    }

    .cpx-header>.e-con-inner {
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
    }

    .cpx-header__logo img {
        transition: all .6s cubic-bezier(.19, 1, .22, 1);
    }

    &.scrolled-past {
        .cpx-header {
            background-color: rgba(18, 21, 29, .8);
            backdrop-filter: blur(8px);

            --min-height: 0;
        }

        .cpx-header>.e-con-inner {
            padding-top: 15px;
            padding-bottom: 15px;
        }
    }
}

@media screen and (min-width: 1024px) {
    header[data-elementor-type="header"] {
        &.scrolled-past {
            .cpx-header__logo img {
                width: 140px;
            }
        }
    }
}

.cpx-overlay {
    pointer-events: none;
    user-select: none;
}

.elementor-widget-breadcrumbs {
    #breadcrumbs {
        color: var(--e-global-color-secondary);

        >span>span {
            color: var(--e-global-color-primary);
        }

        a {
            transition: color .3s ease-in-out;
        }
    }
}

.cpx-vacature-tabs {
    .e-n-tabs-heading {
        margin-bottom: -28px;
        z-index: 2;

        >button {
            width: 190px;
            flex-basis: auto;
            text-align: center;
            justify-content: center;
            align-items: center;
            display: flex;
        }
    }
}

.cpx-form input::file-selector-button {
    background-color: var(--e-global-color-8aef2a3);
    color: var(--e-global-color-text);
    border: 1px solid var(--e-global-color-text);
    padding: 0px 8px;
    border-radius: 0px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.cpx2_cookie-balk.cpx2_cookie-balk--v3 {
    left: auto;
    right: 0px;
    bottom: 70px;

    .cpx2_cookie-balk__wrapper {
        background-color: rgba(18, 21, 29, .87) !important;
        border: 1px solid var(--e-global-color-accent);
    }

    .cpx2_cookie-balk__acties button.cpx2_cookie-balk__v3__alles-afwijzen,
    .cpx2_cookie-balk__acties button.cpx2_cookie-balk__v3__selectie-toestaan {
        background-color: transparent !important;
        color: var(--e-global-color-text) !important;
        border: 2px solid var(--e-global-color-text) !important;
        border-radius: 0 !important;
    }

    .cpx2_cookie-balk__acties button.cpx2_cookie-balk__v3__alles-toestaan {
        background-color: var(--e-global-color-8aef2a3) !important;
        color: var(--e-global-color-secondary) !important;
        border: 2px solid var(--e-global-color-secondary) !important;
        border-radius: 0 !important;
    }
}

@media screen and (max-width: 768px) {
    .cpx2_cookie-balk.cpx2_cookie-balk--v3 {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 99999999;

        .cpx2_cookie-balk__wrapper {
            border-left: none;
            border-right: none;
            border-bottom: none;
            /* padding-bottom: 80px; */
        }
    }
}

.cpx-aspect-ratio-16-10 img {
    object-fit: cover;
    object-position: center;
    aspect-ratio: 16 / 10;
}

.cpx-prijstabel {
    .cpx-table-widget {
        .cpx-table-widget__table {
            border: none;

            td {
                border: none;
            }
        }

        tr td:last-child {
            text-align: right;
            white-space: nowrap;
        }
    }
}